﻿using SharpChat.Packet;
using System.Linq;

namespace SharpChat.Commands {
    public class JoinChannelCommand : IChatCommand {
        public bool IsMatch(ChatCommandContext ctx) {
            return ctx.NameEquals("join");
        }

        public void Dispatch(ChatCommandContext ctx) {
            string joinChanStr = ctx.Args.FirstOrDefault();
            ChatChannel joinChan;
            lock(ctx.Chat.ChannelsAccess)
                joinChan = ctx.Chat.Channels.FirstOrDefault(c => c.NameEquals(joinChanStr));

            if(joinChan == null) {
                ctx.User.Send(new LegacyCommandResponse(LCR.CHANNEL_NOT_FOUND, true, joinChanStr));
                ctx.User.ForceChannel();
                return;
            }

            ctx.Chat.SwitchChannel(ctx.User, joinChan, string.Join(' ', ctx.Args.Skip(1)));
        }
    }
}
